Skip to main content
GET
Query Pick List Position

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

warehouseId
string<uuid>
required

The id of the wms warehouse that the pick list belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistId
string<uuid>
required

The id of the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns all pick lists positions for an given pick list.

id
string<uuid>
required

Id of the pick list position.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>
required

Id of the warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistId
string<uuid>
required

Id of the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

storageLocationId
string<uuid>
required

Id of the storage location from where the pick should happen.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Id of the item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

quantity
number<decimal>
required

Quantity to pick.

status
enum<integer>
required

Status of the position.

Available options:
10,
11,
20,
30,
40
priority
integer<int32>
required

Priority of the position.

salesOrderLineItemId
string<uuid>
required

Id of the corresponding order position.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

createdAt
string<date-time>
required

Time when the pick list was created.